## CamelOfflineFolder CamelOfflineFolder |

## Synopsis

                        CamelOfflineFolder;
    gboolean            camel_offline_folder_get_offline_sync
                                                            (CamelOfflineFolder *offline);
    void                camel_offline_folder_set_offline_sync
                                                            (CamelOfflineFolder *offline,
                                                             gboolean offline_sync);
    gboolean            camel_offline_folder_downsync       (CamelOfflineFolder *offline,
                                                             const gchar *expression,
                                                             GError **error);

## Object Hierarchy

      GObject
       +----CamelObject
             +----CamelFolder
                   +----CamelOfflineFolder

## Properties

      "offline-sync"             gboolean              : Read / Write

## Description

## Details

### CamelOfflineFolder

    typedef struct _CamelOfflineFolder CamelOfflineFolder;

### camel_offline_folder_get_offline_sync ()

    gboolean            camel_offline_folder_get_offline_sync
                                                            (CamelOfflineFolder *offline);

`offline` : |
Returns : |

Since 2.32

### camel_offline_folder_set_offline_sync ()

    void                camel_offline_folder_set_offline_sync
                                                            (CamelOfflineFolder *offline,
                                                             gboolean offline_sync);

`offline` : |
`offline_sync` : | whether to synchronize for offline use

Since 2.32

### camel_offline_folder_downsync ()

    gboolean            camel_offline_folder_downsync       (CamelOfflineFolder *offline,
                                                             const gchar *expression,
                                                             GError **error);

Syncs messages in `offline` described by the search `expression` to the local machine for offline availability.

`offline` : | a CamelOfflineFolder object
`expression` : | search expression describing which set of messages to downsync (`NULL` for all)
`error` : | return location for a GError, or `NULL`
Returns : | `TRUE` on success, `FALSE` on failure

## Property Details

### The `"offline-sync"` property

      "offline-sync"             gboolean              : Read / Write

Copy folder content locally for offline operation.

Default value: FALSE